Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QDataStream.Version

    java.lang.Object
      java.lang.Enum<QDataStream.Version>
          com.trolltech.qt.core.QDataStream.Version

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDataStream.Version>

Enclosing class:
  QDataStream

    public static enum QDataStream.Version

extends java.lang.Enum<QDataStream.Version>
implements QtEnumerator

This enum provides symbolic synonyms for the data serialization format version numbers.

See Also:
  `setVersion`, `version`

Enum Constant Summary
`Qt_1_0` Version 1 (Qt 1.x)
`Qt_2_0` Version 2 (Qt 2.0)
`Qt_2_1` Version 3 (Qt 2.1, 2.2, 2.3)
`Qt_3_0` Version 4 (Qt 3.0)
`Qt_3_1` Version 5 (Qt 3.1, 3.2)
`Qt_3_3` Version 6 (Qt 3.3)
`Qt_4_0` Version 7 (Qt 4.0, Qt 4.1)
`Qt_4_2` Version 8 (Qt 4.2)
`Qt_4_3` Version 9 (Qt 4.3)

Method Summary
`static QDataStream.Version` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataStream.Version` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDataStream.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Qt_1_0

    public static final QDataStream.Version Qt_1_0

  Version 1 (Qt 1.x)

### Qt_2_0

    public static final QDataStream.Version Qt_2_0

  Version 2 (Qt 2.0)

### Qt_2_1

    public static final QDataStream.Version Qt_2_1

  Version 3 (Qt 2.1, 2.2, 2.3)

### Qt_3_0

    public static final QDataStream.Version Qt_3_0

  Version 4 (Qt 3.0)

### Qt_3_1

    public static final QDataStream.Version Qt_3_1

  Version 5 (Qt 3.1, 3.2)

### Qt_3_3

    public static final QDataStream.Version Qt_3_3

  Version 6 (Qt 3.3)

### Qt_4_0

    public static final QDataStream.Version Qt_4_0

  Version 7 (Qt 4.0, Qt 4.1)

### Qt_4_2

    public static final QDataStream.Version Qt_4_2

  Version 8 (Qt 4.2)

### Qt_4_3

    public static final QDataStream.Version Qt_4_3

  Version 9 (Qt 4.3)

Method Detail

### values

    public static final QDataStream.Version[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDataStream.Version c : QDataStream.Version.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDataStream.Version valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataStream.Version resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD